%global momorel 5

Name:           perl-Text-MeCab
Version:        0.20007
Release:        %{momorel}m%{?dist}
Summary:        Alternate Interface To libmecab
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-MeCab/
Source0:        http://www.cpan.org/modules/by-module/Text/Text-MeCab-%{version}.tar.gz
NoSource:       0
Patch0:		Text-MeCab-0.20007-skip-regression.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-Module-Build
BuildRequires:  mecab-devel < 0.98
BuildRequires:  mecab-ipadic
BuildRequires:  mecab-jumandic
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
libmecab (http://mecab.sourceforge.ne.jp) already has a perl interface
built with it, so why a new module? I just feel that while a subtle
difference, making the perl interface through a tied hash is just... weird.

%prep
%setup -q -n Text-MeCab-%{version}
%patch0 -p1

%build
cat << EOM | %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"


EOM
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/auto/Text/MeCab/*
%{perl_vendorarch}/Text/MeCab*
%{_mandir}/man3/*

%changelog
* Sat May 23 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20007-5m)
- specify mecab version

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20007-4m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20007-3m)
- revise for rpm46 (s/%%patch/%%patch0/)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20007-2m)
- rebuild against gcc43

* Mon Mar 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20007-1m)
- update to 0.20007
- update patch

* Sat Mar  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20006-1m)
- update to 0.20006

* Fri Mar  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20005-1m)
- update to 0.20005

* Fri Jan 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20004-1m)
- update to 0.20004

* Wed Jan  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20001-1m)
- update to 0.20001

* Wed Jan  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20000-1m)
- update to 0.20000
- skip regression test (patch0)

* Sat Oct  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.17-4m)
- perl-Text-MeCab requires mecab >= 0.96-3m

* Thu Oct  4 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.17-3m)
- add Patch0: Text-MeCab-0.17-set-encoding.patch

* Thu Oct  4 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.17-2m)
- add BuildRequires: mecab-ipadic
      BuildRequires: mecab-jumandic

* Wed Oct 03 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.17-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
- ref. <http://pub.woremacx.com/worepo/fedora7/SRPMS/perl-Text-MeCab-0.17-0.1.f7worepo.src.rpm>
